declare namespace AMap {
  namespace OverView {
    interface Options {
      visible?: boolean
      isOpen?: boolean
      tileLayer?: TileLayer
    }
  }

  interface OverView extends Control {
    new (options?: OverView.Options): OverView

    show(): void
    hide(): void
    open(): void
    close(): void
    setTileLayer(layer: TileLayer): void
    getTileLayer(): TileLayer
  }
}
